Summary:   A portable x86 assembler which uses Intel-like syntax
Name:      nasm
Version:   2.15.05
Release:   3%{?dist}
License:   BSD
URL:       http://www.nasm.us
Source0:   https://www.nasm.us/pub/nasm/releasebuilds/%{version}/%{name}-%{version}.tar.xz

Patch3000: nasm-SourceSans-font-name.patch

BuildRequires: perl(Env) autoconf automake asciidoc xmlto gcc make

%description
NASM is the Netwide Assembler, a free portable assembler for the Intel 80x86 microprocessor series,
using primarily the traditional Intel instruction mnemonics and syntax.

%package rdoff
Summary: Tools for the RDOFF binary format, sometimes used with NASM

%description rdoff
Tools for the operating-system independent RDOFF binary format, which is sometimes used with the
Netwide Assembler (NASM). These tools include linker, library manager, loader, and information dump.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure
%make_build all

%install
%make_install install_rdf

%check
make -C test golden test diff

%files
%license LICENSE
%doc AUTHORS CHANGES README.md
%{_bindir}/nasm
%{_bindir}/ndisasm
%{_mandir}/man1/nasm*
%{_mandir}/man1/ndisasm*

%files rdoff
%{_bindir}/ldrdf
%{_bindir}/rd*
%{_mandir}/man1/rd*
%{_mandir}/man1/ld*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.15.05-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.15.05-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 2 2023 Shuo Wang <abushwang@tencent.com> - 2.15.05-1
- initial build
